# Class CIM_J2eeApplication
extends CIM_ApplicationSystem

CIM_J2eeApplication identifies a J2EE application that resides on a J2ee Server.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_System
|
+--CIM_ApplicationSystem
|
+--CIM_J2eeApplication

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | CIM_J2eeApplication identifies a J2EE application that resides on a J2ee Server.
UMLPackagePath | string | CIM::Application::J2eeAppServer
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
DeploymentDescriptor | string |
Description | string | Contains the original XML deployment descriptor that was created for this application during the deployment process.
MappingStrings | string | JSR77.JCP|JSR77.3.5.0.1 deploymentDescriptor|V1.0
Name | string |
Description | string | The name of a J2EE Application. The name MUST be constructed using the form specified in JSR77.3.1.1.1 in order to avoid the need for manual key propagation.
Key | boolean | true
MappingStrings | string | JSR77.JCP|JSR77.3.1.1.1 objectName|V1.0
MaxLen | uint32 | 256
Override | string | Name

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_System
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
Distribution | uint16 | CIM_ApplicationSystem
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_ApplicationSystem
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
LastServingStatusUpdate | datetime | CIM_ApplicationSystem
NameFormat | string | CIM_System
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryOwnerContact | string | CIM_System
PrimaryOwnerName | string | CIM_System
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
ServingStatus | uint16 | CIM_ApplicationSystem
StartupTime | datetime | CIM_ApplicationSystem
Status | string | CIM_ManagedSystemElement
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
IdentifyingDescriptions | string[] | CIM_System
OperationalStatus | uint16[] | CIM_ManagedSystemElement
OtherIdentifyingInfo | string[] | CIM_System
Roles | string[] | CIM_System
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement
StartApplication | uint16 | CIM_ApplicationSystem
StopApplication | uint16 | CIM_ApplicationSystem